2010-11-19 [paul]	0.6.8

	0.6.8 released

2010-11-19 [paul]	0.6.7cvs1

	* configure.ac
	* po/uk.po
		added by Yarema
	* po/ca.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/id.po
	* po/pt_BR.po
	* po/sk.po
		updated by Miquel Oliete, Ricardo Mones,
		Flammie Pirinen, wwp, MSulchan Darmawan,
		Frederico Goncalves Guimaraes, Slavko

2010-05-01 [paul]	0.6.7

	0.6.7 released

2010-04-30 [paul]	0.6.6cvs1

	* po/fi.po
	* po/sk.po
		updated by Flammie Pirinen, Slavko

2010-01-08 [paul]	0.6.6

	0.6.6 released

2010-01-08 [paul]	0.6.5cvs3

	* configure.ac
	* po/ca.po
	* po/es.po
	* po/nl.po
		updated by Miquel Oliete, Ricardo Mones Lastra, Marcel Pol
	* po/fi.po
	* po/sk.po
		added by Tommi Pirinen, Slavko

2009-10-15 [michael]	0.6.5cvs2

	* src/archiver_gtk.c
        - changed keyboard shortcut for compress from o to p
          since o is also shortcut for button OK

2009-10-15 [holger]	0.6.5cvs1

	* configure.ac
		Get rid of -Werror. New gcc versions spit out
		new warnings, and while -Werror is good for local
		testing, it may, depending on the compiler version,
		break compile for CVS users.

2009-07-03 [paul]	0.6.5

	0.6.5 released

2009-07-03 [paul]	0.6.4cvs6

	* configure.ac
		forgotten in last commit

2009-07-03 [paul]	0.6.4cvs5

	* po/cs.po
	* po/es.po
	* po/fr.po
	* po/hu.po
	* po/ja.po
	* po/pt_BR.po
	* po/ru.po
		updated by David Vachulka, Ricardo Mones, Colin Leroy,
		Pader Rezso, kazken3, Frederico Goncalves Guimaraes,
		and Aleksei Miheev
	* po/id.po
	* po/it.po
		added by MSulchan Darmawan and Andrea Spadaccini

2009-06-24 [colin]	0.6.4cvs4

	* configure.ac
		Fix CFLAGS

2009-06-22 [michael]	0.6.4cvs3

	* configure.ac
    	- revert commit 1.1.2.60 since check for AC_SYS_LARGEFILE
      	  was already present.
    	- fix bug which caused GTK deprecable flags only to appear
      	  when enable-maintainer-mode was TRUE
    	- A minor cosmetic fix in AC_OUTPUT


2009-03-08 [paul]	0.6.4cvs2

	* configure.ac
	* po/ja.po
		add Japanese translation, submitted by kazken3

2009-03-06 [michael]	0.6.4cvs1

	* configure.ac
	* src/archiver.c
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h
		Added support for compression method COMPRESS.
		The patch automatically detects version of libarchive.
		libarchive < 2.5 will not have COMPRESS activated since
		this method is only available if libarchive >= 2.5

2008-12-19 [paul]	0.6.4

	0.6.4 released

2009-03-06 [paul]	0.6.3cvs5

	* configure.ac
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
		updated by Colin Leroy, Pader Rezso, and
		Frederico Goncalves Guimaraes
	* po/nl.po
		added by Marcel Pol

2009-02-28 [paul]	0.6.3cvs4

	* configure.ac
	* src/archiver.c
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h
		Revert previous patch until next release,
		we're in string-freeze and feature-freeze mode

2009-02-27 [michael]	0.6.3cvs3

	* configure.ac
	* src/archiver.c
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h
        Added check for old archive API since compress is
        only supported in archive version >= 2005000


2009-02-27 [colin]	0.6.3cvs2

	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h
		Revert previous patch until next release

2009-02-26 [michael]	0.6.3cvs1

	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h

        Added support for compression method COMPRESS

2008-12-19 [paul]	0.6.3

	0.6.3 released

2008-12-19 [paul]	0.6.2cvs13

	* configure.ac
	* po/cs.po
	* po/ru.po
		added by David Vachulka, Aleksei Miheev

2008-12-07 [paul]	0.6.2cvs12

	* configure.ac
		check for compiler before setting CFLAGS

2008-11-28 [colin]	0.6.2cvs11

	* po/fr.po
		Update

2008-11-28 [colin]	0.6.2cvs10

	* po/fr.po
		Update translation

2008-10-22 [michael]	0.6.2cvs9

	* src/libarchive_archive.c
        Forgot to uncomment some forced debug output

2008-10-22 [michael]	0.6.2cvs8

	* src/archiver_gtk.c
	* src/libarchive_archive.c
	* src/libarchive_archive.h
        fixed a bug concerning the open function with option O_CREAT.
        Found by Brian Morrison.
        Using folder_item_remove_msgs to increase the speed for deleting
        messages considerably. Thanks to Colin Leroy for adding my
        attention to this trick.
        Removed some old uncommentted code.

2008-10-21 [michael]	0.6.2cvs7

	* src/archiver_gtk.c
        Freezing summaryview while deleting messages. Improves the
        speed of the process considerably.

2008-10-20 [michael]	0.6.2cvs6

	* src/libarchive_archive.c
        removed an unused assert which could cause a potential bug

2008-10-20 [michael]	0.6.2cvs5

	* src/archiver_gtk.c
        Adding required mode_t variable to the open
        command in function file_is_writeable

2008-10-20 [michael]	0.6.2cvs4

	* src/libarchive_archive.c
        Fix bug where claws-mail crashes if incorrect date
        is entered.

2008-10-19 [michael]	0.6.2cvs3

	* src/archiver_gtk.c
        Added a test to prevent crash if archive file cannot
        be created.

2008-10-18 [michael]	0.6.2cvs2

	* src/libarchive_archive.c
        Fixing a possible memory leak.

2008-10-17 [michael]	0.6.2cvs1

	* configure.ac
	* po/ca.po
	* po/es.po
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
	* src/archiver.h
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h

        Fix a bug which was causing files not to be included in archive.
        The reason was if the user had chosen to use descriptive names
        for files in archive and if a descriptive name was not able to be
        constructed then the file was silently dropped from archive.
        Add a fall-back to simply use the mail number instead which will
        then reinstate the message in archive again.

        Added to new features:
        1) Instruct archiver to only include messages before a certain date.
           Date is compared against the files creation time (mtime)
        2) An option to instruct the archiver to delete messages after
           successfully adding them to archiver (1 run to create archive
           and a second run to delete messages)

2008-10-10 [paul]	0.6.2

	0.6.2 released

2008-10-04 [colin]	0.6.1cvs2

	* src/archiver.c
		Win32: set translation dir

2008-10-04 [colin]	0.6.1cvs1

	* src/archiver_gtk.c
	* src/libarchive_archive.c
		Use g_stat instead of stat

2008-10-03 [paul]	0.6.1

	0.6.1 released

2008-10-03 [paul]	0.6.0cvs3

	* configure.ac
	* po/ca.po
	* po/hu.po
		added by Miquel Oliete, Pader Rezo

2008-07-29 [colin]	0.6.0cvs2

	* src/archiver.c
		Switch the main menu to GtkUIManager

2008-07-20 [colin]	0.6.0cvs1

	* src/archiver_gtk.c
	* src/archiver_prefs.c
		Undeprecate tooltips

2008-06-27 [paul]	0.6.0

	0.6 released (initial release)

2008-06-27 [paul]	0.5.0cvs29

	* configure.ac
	* po/pt_BR.po
		added new translation by Frederico Goncalves Guimaraes
	* po/es.po
		updated by Ricardo Mones

2008-06-23 [wwp]	0.5.0cvs28

	* po/fr.po
		Updated French translation.

2008-06-20 [mones]	0.5.0cvs27

	* configure.ac
	* po/es.po
		Added Spanish translation

2008-06-11 [michael]	0.5.0cvs26

	* src/archiver_gtk.c
	rename and rename_files in struct ArchivePage was not proper initialized.
	The widget displaying the result of archive operation was using
	rename_files to determine whether renaming was chosen or not. As
	rename_files holds the reference to the GTK_TOGGLE_BUTTON this ment that
	the result whould say that files was always renamed even when not done.
	rename was the variable to test.

2008-06-10 [michael]	0.5.0cvs25

	* TODO
	Remove TODO about being able to use descriptive names in
	archive since this is implemented in the current release.

2008-05-31 [michael]	0.5.0cvs24

	* src/archiver_gtk.c
	* src/libarchive_archive.c
	Removed a comment out of the update of file_label in progress
	dialog which should not have been removed.

2008-05-28 [michael]	0.5.0cvs23

	* src/archiver.h
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/libarchive_archive.c
	* src/libarchive_archive.h
	Added new feature:
	The user can now choose to have files saved with
	a descriptive name instead of the numeric one
	used by Claws Mail.
	Removed some support functions from the plugin
	since identical functions is found in Claws Mails
	util.c

2008-05-26 [wwp]	0.5.0cvs22

	* po/fr.po
		Updated/completed French translation.

	* src/archiver_gtk.c
		One more label to translate.

2008-05-26 [paul]	0.5.0cvs21

	* src/archiver_gtk.c
		get these 2 labels translated

2008-05-26 [paul]	0.5.0cvs20

	* ChangeLog
		fix formatting
	* src/archiver.c
	* src/archiver_gtk.c
	* src/libarchive_archive.c
		fix i18n
		remove mnemonic from 'Create Archive' as it
		breaks removing the entry on unloading the plugin
		correct the folder types info on the description
		page

2008-05-26 [paul]	0.5.0cvs19

	* COPYING
		replaced with correct version
	* src/archiver.c
	* src/archiver_gtk.c
	* src/archiver_prefs.c
		rewrite some of the English
		add tooltips on the prefs page
		fix a leak in archiver_prefs.c foldersel_cb()

2008-05-26 [colin]	0.5.0cvs18

	* src/archiver_gtk.c
		Return after having destroyed page

2008-05-25 [michael]	0.5.0cvs17

	* src/archiver.c
	* src/archiver_gtk.c
   		 Some cleaning up mostly to ensure it compiles on gcc-2.9x.

2008-05-25 [wwp]	0.5.0cvs16

	* po/fr.po
		Completed FR translation.

	* src/archiver.c
	* src/archiver_gtk.c
		Fix product name and completed plugin description.

2008-05-25 [michael]	0.5.0cvs15

	* src/archiver_gtk.c
		prevent UTF-8 blurp by not printing uninitialized
		strings with debug_print.
	* src/libarchive_archive.c
    		Fixed a race condition. Freeing globat GSList while
		at the same time working on a reference to the list is bad
		karma. Ensuring elem->data is nullified and testing for
		this condition solves the problem.

2008-05-25 [wwp]	0.5.0cvs14

	* configure.ac
	* po/.cvsignore
	* po/POTFILES.in
	* po/fr.po
		Added preliminary fr translation, completed POTFILES,
		more tmp/generated files to ignore.

2008-05-25 [colin]	0.5.0cvs13

	* ChangeLog
		Reformat

2008-05-25 [wwp]	0.5.0cvs12

	* src/archiver.c
		Better English and punctuation, use proper product
		name and complete the list of supported folder types.

2008-05-25 [wwp]	0.5.0cvs11

	* PATCHSETS
		Added missing PATCHSETS file (to complete).

2008-05-25 [paul]	0.5.0cvs10

	* ChangeLog
	* po/POTFILES.in
	* src/Makefile.am
	* src/archiver.c
	* src/archiver_gtk.c
	* src/archiver_prefs.c
	* src/archiver_prefs.h
	* src/gettext.h
		add a Prefs page
		complete gettextization

2008-05-25 [wwp]	0.5.0cvs9

	* .cvsignore
	* po/.cvsignore
		More generated files to ignore.

2008-05-24 [michael]	0.5.0cvs8

	* .cvsignore
	* src/archiver_gtk.c
	* src/libarchive_archive.c
		- Added progress_bar_pulse when scanning folders
		- Added information about MD5 to the result dialog
		- Counter use to activate GTK_EVENTS_FLUSH was never 
		  incrimented
		- Reduced debug noise by eliminating some debug_print 
		  which is of little interest
		- Added more GTK_IS_WIDGET test to prevent errors due 
		  to user canceling action. Progress widget could be 
		  destroyed before the archive_create function was notified.
		- Fixing small potential memory leaks.

2008-05-24 [paul]	0.5.0cvs7

	* config.h.in
		remove the (persistant) auto-generated file (again)

2008-05-24 [michael]	0.5.0cvs6

	* commitHelper
	* config.h.in
	* src/archiver.c
	* src/archiver_gtk.c
		fixed a bad pointer reference to uninitialized memory 
		when closing progress dialog. Created init_progress to 
		ensure all references was initialized to NULL. Testing 
		whether progress->progress_dialog is NULL and also 
		testing whether it is a valid GtkWidget.

2008-05-24 [paul]	0.5.0cvs5

	* aclocal.m4
		remove this file, it's in the way!

2008-05-24 [paul]	0.5.0cvs4

	* config.h.in
	* po/Rules-quot
	* po/boldquot.sed
	* po/en@boldquot.header
	* po/en@quot.header
	* po/insert-header.sin
	* po/quot.sed
		remove more autogenerated files

2008-05-23 [paul]	0.5.0cvs3

	* configure
	* po/archive.pot
		remove autogenerated files

2008-05-23 [import]	0.5.0cvs2

	* .cvsignore
	* ABOUT-NLS
	* AUTHORS
	* COPYING
	* ChangeLog
	* INSTALL
	* Makefile.am
	* NEWS
	* README
	* TODO
	* aclocal.m4
	* autogen.sh
	* commitHelper
	* config.h.in
	* configure
	* configure.ac
	* config/.cvsignore
	* config/Makefile.am
	* config/config.rpath
	* config/mkinstalldirs
	* po/Makefile.in.in
	* po/Makevars
	* po/POTFILES.in
	* po/Rules-quot
	* po/archive.pot
	* po/boldquot.sed
	* po/en@boldquot.header
	* po/en@quot.header
	* po/insert-header.sin
	* po/quot.sed
	* po/remove-potcdate.sin
	* po/stamp-po
	* src/.cvsignore
	* src/Makefile.am
	* src/archiver.c
	* src/archiver.h
	* src/archiver_gtk.c
	* src/libarchive_archive.c
	* src/libarchive_archive.h
		Initial import of the Archive plugin, written by
		Michael Rasmussen <mir@datanom.net>

archiver (0.5.0)

  * Added an option for computing MD5 checksums for every file in
    the folder(s) and storing them in the archive too.
  * fixed a memory leak. ArchivePage was never freed.

archiver (0.4.1)

  * Fixed two potential memory leaks
  * Added a new dialog for warning against overwriting an existing
    file if file name for archive exists. The dialog is not shown in
	case the user has chosen the name in the file selector dialog.
  * Change the info text for the plugin dialog to reflect current status.

-- Michael Rasmussen <mir@datanom.net>  Wed, 21 May 2008 23:53:21 +0100

archiver (0.4)

  * Fixing bugs
  * Added a new progress dialog with cancel button
  * Added options for choosing archive format and compression type
    for archive
  * Added option for doing recursive scan or not
  * Extended dialog popping up when claws was not able to fetch all
    mails from server so that user may decide to archive anyway
  * Change result dialog to use GtkTreeView/GtkListStore to display
    result of archiving

 -- Michael Rasmussen <mir@datanom.net>  Mon, 19 May 2008 22:21:21 +0100
    
archiver (0.3)

  * Added a lot of sanity checks to user input
  * If errors are found archiver dialog does not close
  * If folder and names are entered manually into archiver dialog
    they are not lost
  * Dialog shown after succeccfully archiving showing some stats.
  * Added #ifdef for unused code in plugin
  * Added a TODO file

 -- Michael Rasmussen <mir@datanom.net>  Tue, 14 May 2008 03:31:21 +0100

archiver (0.2)

  * Changed all use of static buffers to use dynamic buffers

 -- Michael Rasmussen <mir@datanom.net>  Tue, 13 May 2008 11:20:21 +0100

archiver (0.1)

  * first public release

 -- Michael Rasmussen <mir@datanom.net>  Tue, 28 Apr 2008 13:20:21 +0100

